std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >(3cxx)

NAME
std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >

SYNOPSIS

Inherits multimap< _Key, _Tp, _Compare, _Allocator >, and std::__profile::_Ordered_profile< _Cont >.

  Public Types

typedef __iterator_tracker< _Base_const_iterator, multimap > const_iterator
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __iterator_tracker< _Base_iterator, multimap > iterator
typedef _Compare key_compare
typedef _Key key_type
typedef _Tp mapped_type
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef std::pair< const _Key, _Tp > value_type

  Public Member Functions

multimap (const multimap &)=default
multimap (multimap &&)=default
multimap (const _Compare &__comp, const _Allocator &__a=_Allocator())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> multimap (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
multimap (initializer_list< value_type > __l, const _Compare &__c=_Compare(), const _Allocator &__a=_Allocator())
multimap (const _Allocator &__a)
multimap (const multimap &__x, const _Allocator &__a)
multimap (multimap &&__x, const _Allocator &__a) noexcept(noexcept(_Base(std::move(__x), __a)))
multimap (initializer_list< value_type > __l, const _Allocator &__a)
template<typename _InputIterator > multimap (_InputIterator __first, _InputIterator __last, const _Allocator &__a)
multimap (const _Base &__x)
_Base & _M_base () noexcept
const _Base & _M_base () const noexcept
void _M_profile_iterate (int __rewind=0) const
iterator begin () noexcept
const_iterator begin () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
size_type count (const key_type &__x) const
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> iterator emplace (_Args &&... __args)
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&... __args)
iterator end () noexcept
const_iterator end () const noexcept
std::pair< iterator, iterator > equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > equal_range (const key_type &__x) const
iterator erase (const_iterator __pos)
iterator erase (iterator __pos)
size_type erase (const key_type &__x)
iterator erase (const_iterator __first, const_iterator __last)
iterator find (const key_type &__x)
const_iterator find (const key_type &__x) const
iterator insert (const value_type &__x)
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type> iterator insert (_Pair &&__x)
void insert (std::initializer_list< value_type > __list)
iterator insert (const_iterator __pos, const value_type &__x)
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type> iterator insert (const_iterator __pos, _Pair &&__x)
template<typename _InputIterator > void insert (_InputIterator __first, _InputIterator __last)
iterator lower_bound (const key_type &__x)
const_iterator lower_bound (const key_type &__x) const
multimap & operator= (const multimap &)=default
multimap & operator= (multimap &&)=default
multimap & operator= (initializer_list< value_type > __l)
reverse_iterator rbegin () noexcept
const_reverse_iterator rbegin () const noexcept
reverse_iterator rend () noexcept
const_reverse_iterator rend () const noexcept
void swap (multimap &__x) noexcept(noexcept(declval< _Base >().swap(__x)))
iterator upper_bound (const key_type &__x)
const_iterator upper_bound (const key_type &__x) const

  Protected Member Functions

void _M_profile_construct () noexcept
void _M_profile_destruct () noexcept
void _M_swap (_Ordered_profile &__other)

  Protected Attributes

__gnu_profile::__map2umap_info * _M_map2umap_info

  Friends

template<typename _K1 , typename _T1 , typename _C1 , typename _A1 > bool operator< (const multimap< _K1, _T1, _C1, _A1 > &, const multimap< _K1, _T1, _C1, _A1 > &)
template<typename _K1 , typename _T1 , typename _C1 , typename _A1 > bool operator== (const multimap< _K1, _T1, _C1, _A1 > &, const multimap< _K1, _T1, _C1, _A1 > &)

Detailed Description

  template<typename _Key, typename _Tp, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
class std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >" Class std::multimap wrapper with performance instrumentation.

Definition at line 42 of file profile/multimap.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.